Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump kotlin_version from 1.9.0 to 1.9.10 #551

Merged
merged 1 commit into from Aug 24, 2023

Conversation

dependabot[bot]
Copy link
Contributor

@dependabot dependabot bot commented on behalf of github Aug 24, 2023

Bumps kotlin_version from 1.9.0 to 1.9.10.
Updates org.jetbrains.kotlin:kotlin-gradle-plugin from 1.9.0 to 1.9.10

Release notes

Sourced from org.jetbrains.kotlin:kotlin-gradle-plugin's releases.

Kotlin 1.9.10

Changelog

Compiler

  • KT-60769 Partially revert KT-58371
  • KT-60659 Incorrect 'unresolved reference: addFirst' error with JDK 21
  • KT-60371 Native custom allocator link error
  • KT-60986 Native: static caches with custom runtime options are broken on Linux
  • KT-60770 Fix false-positive ABSTRACT_MEMBER_NOT_IMPLEMENTED on toArray with JDK 21
  • KT-60231 NoClassDefFoundError: $$$$$NON_LOCAL_RETURN$$$$$ after upgrade to Kotlin 1.9.0

JavaScript

  • KT-60785 KJS: Destructured value class in suspend function fails with Uncaught TypeError: can't convert to primitive type error
  • KT-60852 Kotlin JS(IR): IllegalArgumentException: Cross module dependency resolution failed when updating to Kotlin 1.9.0
  • KT-57509 KJS: Compiler generates native JS operator == for comparing values with Any type

Native

  • KT-60230 Native: "unknown options: -ios_simulator_version_min -sdk_version" with Xcode 15 beta 3
  • KT-60758 Native: Building for 'iOS-simulator', but linking in dylib built for 'iOS' in Xcode 15 beta 4

Native. C and ObjC Import

  • KT-59167 Native: cinterop is unable to build interop libraries against the Xcode 15 Beta 1

Tools. Gradle

  • KT-61147 Kotlin Compiler 1.9.0 bundles a stripped unshadowed version of Gson
  • KT-60543 NoClassDefFoundError for com/gradle/scan/plugin/BuildScanExtension

Checksums

File Sha256
kotlin-compiler-1.9.10.zip 7d74863deecf8e0f28ea54c3735feab003d0eac67e8d3a791254b16889c20342
kotlin-native-linux-x86_64-1.9.10.tar.gz 1db3679919f4449514e9d82451e7dfa73558ac9bc80b82579cd74d452c8faa5b
kotlin-native-macos-x86_64-1.9.10.tar.gz f5650f2560438a692803d8fe07124529c19f1972f84fe09cfa2329b93f43828d
kotlin-native-macos-aarch64-1.9.10.tar.gz d2cf5a484ac0808ab29fd3f6099df7c07330f81f3cbab949947e42e36138c3de
kotlin-native-windows-x86_64-1.9.10.zip a34d56661455e94e1ba4dd09ec3c1adac6148fdedcf55eefb9a79c8ed01ff02c
Changelog

Sourced from org.jetbrains.kotlin:kotlin-gradle-plugin's changelog.

1.9.10

Compiler

  • KT-60769 Partially revert KT-58371
  • KT-60659 Incorrect 'unresolved reference: addFirst' error with JDK 21
  • KT-60371 Native custom allocator link error
  • KT-60986 Native: static caches with custom runtime options are broken on Linux
  • KT-60770 Fix false-positive ABSTRACT_MEMBER_NOT_IMPLEMENTED on toArray with JDK 21
  • KT-60231 NoClassDefFoundError: $$$$$NON_LOCAL_RETURN$$$$$ after upgrade to Kotlin 1.9.0

JavaScript

  • KT-60785 KJS: Destructured value class in suspend function fails with Uncaught TypeError: can't convert to primitive type error
  • KT-60852 Kotlin JS(IR): IllegalArgumentException: Cross module dependency resolution failed when updating to Kotlin 1.9.0
  • KT-57509 KJS: Compiler generates native JS operator == for comparing values with Any type

Native

  • KT-60230 Native: "unknown options: -ios_simulator_version_min -sdk_version" with Xcode 15 beta 3
  • KT-60758 Native: Building for 'iOS-simulator', but linking in dylib built for 'iOS' in Xcode 15 beta 4

Native. C and ObjC Import

  • KT-59167 Native: cinterop is unable to build interop libraries against the Xcode 15 Beta 1

Tools. Gradle

  • KT-61147 Kotlin Compiler 1.9.0 bundles a stripped unshadowed version of Gson
  • KT-60543 NoClassDefFoundError for com/gradle/scan/plugin/BuildScanExtension
Commits
  • 3db61ef [K/JS] Revert KT-60785 fix because the 1.9.0 contains old schema for function...
  • 3584af4 Add ChangeLog for 1.9.10
  • 7bab2db Remove gson from compiler fat jar
  • b925404 [K/JS] Fix autoboxing for inlined function ^KT-60785 Fixed
  • 5801279 [JS IR] De-optimize equality operator as workaround for KT-57509
  • 79d3dda [K/N] Update osVersionMin for arm ios and tvos simulators
  • 955598c [K/N] Pick minimal iOS/tvOS depending on the Xcode version
  • b1aa582 [K/N] Do not check caches consistency until all of them are built
  • 0f6d84c [K/N][tests] Added a reproducer for #KT-60371
  • d3b8607 [K/N][tests] Fixed CachesAutoBuildTest
  • Additional commits viewable in compare view

Updates org.jetbrains.kotlin:kotlin-stdlib-jdk7 from 1.9.0 to 1.9.10

Release notes

Sourced from org.jetbrains.kotlin:kotlin-stdlib-jdk7's releases.

Kotlin 1.9.10

Changelog

Compiler

  • KT-60769 Partially revert KT-58371
  • KT-60659 Incorrect 'unresolved reference: addFirst' error with JDK 21
  • KT-60371 Native custom allocator link error
  • KT-60986 Native: static caches with custom runtime options are broken on Linux
  • KT-60770 Fix false-positive ABSTRACT_MEMBER_NOT_IMPLEMENTED on toArray with JDK 21
  • KT-60231 NoClassDefFoundError: $$$$$NON_LOCAL_RETURN$$$$$ after upgrade to Kotlin 1.9.0

JavaScript

  • KT-60785 KJS: Destructured value class in suspend function fails with Uncaught TypeError: can't convert to primitive type error
  • KT-60852 Kotlin JS(IR): IllegalArgumentException: Cross module dependency resolution failed when updating to Kotlin 1.9.0
  • KT-57509 KJS: Compiler generates native JS operator == for comparing values with Any type

Native

  • KT-60230 Native: "unknown options: -ios_simulator_version_min -sdk_version" with Xcode 15 beta 3
  • KT-60758 Native: Building for 'iOS-simulator', but linking in dylib built for 'iOS' in Xcode 15 beta 4

Native. C and ObjC Import

  • KT-59167 Native: cinterop is unable to build interop libraries against the Xcode 15 Beta 1

Tools. Gradle

  • KT-61147 Kotlin Compiler 1.9.0 bundles a stripped unshadowed version of Gson
  • KT-60543 NoClassDefFoundError for com/gradle/scan/plugin/BuildScanExtension

Checksums

File Sha256
kotlin-compiler-1.9.10.zip 7d74863deecf8e0f28ea54c3735feab003d0eac67e8d3a791254b16889c20342
kotlin-native-linux-x86_64-1.9.10.tar.gz 1db3679919f4449514e9d82451e7dfa73558ac9bc80b82579cd74d452c8faa5b
kotlin-native-macos-x86_64-1.9.10.tar.gz f5650f2560438a692803d8fe07124529c19f1972f84fe09cfa2329b93f43828d
kotlin-native-macos-aarch64-1.9.10.tar.gz d2cf5a484ac0808ab29fd3f6099df7c07330f81f3cbab949947e42e36138c3de
kotlin-native-windows-x86_64-1.9.10.zip a34d56661455e94e1ba4dd09ec3c1adac6148fdedcf55eefb9a79c8ed01ff02c
Changelog

Sourced from org.jetbrains.kotlin:kotlin-stdlib-jdk7's changelog.

1.9.10

Compiler

  • KT-60769 Partially revert KT-58371
  • KT-60659 Incorrect 'unresolved reference: addFirst' error with JDK 21
  • KT-60371 Native custom allocator link error
  • KT-60986 Native: static caches with custom runtime options are broken on Linux
  • KT-60770 Fix false-positive ABSTRACT_MEMBER_NOT_IMPLEMENTED on toArray with JDK 21
  • KT-60231 NoClassDefFoundError: $$$$$NON_LOCAL_RETURN$$$$$ after upgrade to Kotlin 1.9.0

JavaScript

  • KT-60785 KJS: Destructured value class in suspend function fails with Uncaught TypeError: can't convert to primitive type error
  • KT-60852 Kotlin JS(IR): IllegalArgumentException: Cross module dependency resolution failed when updating to Kotlin 1.9.0
  • KT-57509 KJS: Compiler generates native JS operator == for comparing values with Any type

Native

  • KT-60230 Native: "unknown options: -ios_simulator_version_min -sdk_version" with Xcode 15 beta 3
  • KT-60758 Native: Building for 'iOS-simulator', but linking in dylib built for 'iOS' in Xcode 15 beta 4

Native. C and ObjC Import

  • KT-59167 Native: cinterop is unable to build interop libraries against the Xcode 15 Beta 1

Tools. Gradle

  • KT-61147 Kotlin Compiler 1.9.0 bundles a stripped unshadowed version of Gson
  • KT-60543 NoClassDefFoundError for com/gradle/scan/plugin/BuildScanExtension
Commits
  • 3db61ef [K/JS] Revert KT-60785 fix because the 1.9.0 contains old schema for function...
  • 3584af4 Add ChangeLog for 1.9.10
  • 7bab2db Remove gson from compiler fat jar
  • b925404 [K/JS] Fix autoboxing for inlined function ^KT-60785 Fixed
  • 5801279 [JS IR] De-optimize equality operator as workaround for KT-57509
  • 79d3dda [K/N] Update osVersionMin for arm ios and tvos simulators
  • 955598c [K/N] Pick minimal iOS/tvOS depending on the Xcode version
  • b1aa582 [K/N] Do not check caches consistency until all of them are built
  • 0f6d84c [K/N][tests] Added a reproducer for #KT-60371
  • d3b8607 [K/N][tests] Fixed CachesAutoBuildTest
  • Additional commits viewable in compare view

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot show <dependency name> ignore conditions will show all of the ignore conditions of the specified dependency
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

Bumps `kotlin_version` from 1.9.0 to 1.9.10.

Updates `org.jetbrains.kotlin:kotlin-gradle-plugin` from 1.9.0 to 1.9.10
- [Release notes](https://github.com/JetBrains/kotlin/releases)
- [Changelog](https://github.com/JetBrains/kotlin/blob/v1.9.10/ChangeLog.md)
- [Commits](JetBrains/kotlin@v1.9.0...v1.9.10)

Updates `org.jetbrains.kotlin:kotlin-stdlib-jdk7` from 1.9.0 to 1.9.10
- [Release notes](https://github.com/JetBrains/kotlin/releases)
- [Changelog](https://github.com/JetBrains/kotlin/blob/v1.9.10/ChangeLog.md)
- [Commits](JetBrains/kotlin@v1.9.0...v1.9.10)

---
updated-dependencies:
- dependency-name: org.jetbrains.kotlin:kotlin-gradle-plugin
  dependency-type: direct:production
  update-type: version-update:semver-patch
- dependency-name: org.jetbrains.kotlin:kotlin-stdlib-jdk7
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
@dependabot dependabot bot added dependencies Pull requests that update a dependency file java Pull requests that update Java code labels Aug 24, 2023
@hannesa2 hannesa2 merged commit 9334613 into master Aug 24, 2023
3 checks passed
@dependabot dependabot bot deleted the dependabot/gradle/kotlin_version-1.9.10 branch August 24, 2023 04:58
nikclayton added a commit to pachli/pachli-android that referenced this pull request Sep 27, 2023
… v3.6 (#117)

[![Mend
Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence |
|---|---|---|---|---|---|
|
[com.github.MikeOrtiz:TouchImageView](https://togithub.com/MikeOrtiz/TouchImageView)
| `3.5` -> `3.6` |
[![age](https://developer.mend.io/api/mc/badges/age/maven/com.github.MikeOrtiz:TouchImageView/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![adoption](https://developer.mend.io/api/mc/badges/adoption/maven/com.github.MikeOrtiz:TouchImageView/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![passing](https://developer.mend.io/api/mc/badges/compatibility/maven/com.github.MikeOrtiz:TouchImageView/3.5/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![confidence](https://developer.mend.io/api/mc/badges/confidence/maven/com.github.MikeOrtiz:TouchImageView/3.5/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|

---

### Release Notes

<details>
<summary>MikeOrtiz/TouchImageView
(com.github.MikeOrtiz:TouchImageView)</summary>

###
[`v3.6`](https://togithub.com/MikeOrtiz/TouchImageView/releases/tag/3.6)

[Compare
Source](https://togithub.com/MikeOrtiz/TouchImageView/compare/3.5...3.6)

<!-- Release notes generated using configuration in .github/release.yml
at 3.6 -->

#### What's Changed

##### Exciting New Features 🎉

- api34 by [@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#555

##### Other Changes

- Bump androidx.recyclerview:recyclerview from 1.3.0 to 1.3.1 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#546
- Bump Kotlin 1.9 by [@&#8203;hannesa2](https://togithub.com/hannesa2)
in
[MikeOrtiz/TouchImageView#548
- Bump com.github.bumptech.glide:glide from 4.15.1 to 4.16.0 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#549
- Bump kotlin_version from 1.9.0 to 1.9.10 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#551
- Bump actions/checkout from 3 to 4 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#553
- Fix compileSdk deprecation by
[@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#556
- Remove Froyo method by
[@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#557
- Bump com.android.tools.build:gradle from 8.1.0 to 8.1.1 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#550
- Bump androidx.core:core-ktx from 1.10.1 to 1.12.0 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#552

**Full Changelog**:
MikeOrtiz/TouchImageView@3.5...3.6

</details>

---

### Configuration

📅 **Schedule**: Branch creation - At any time (no schedule defined),
Automerge - At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you
are satisfied.

♻ **Rebasing**: Whenever PR becomes conflicted, or you tick the
rebase/retry checkbox.

🔕 **Ignore**: Close this PR and you won't be reminded about this update
again.

---

- [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check
this box

---

This PR has been generated by [Mend
Renovate](https://www.mend.io/free-developer-tools/renovate/). View
repository job log
[here](https://developer.mend.io/github/pachli/pachli-android).

<!--renovate-debug:eyJjcmVhdGVkSW5WZXIiOiIzNi4xMDcuMiIsInVwZGF0ZWRJblZlciI6IjM2LjEwNy4yIiwidGFyZ2V0QnJhbmNoIjoibWFpbiJ9-->

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
Co-authored-by: Nik Clayton <nik@ngo.org.uk>
connyduck pushed a commit to tuskyapp/Tusky that referenced this pull request Feb 23, 2024
[![Mend
Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence |
|---|---|---|---|---|---|
|
[com.github.MikeOrtiz:TouchImageView](https://togithub.com/MikeOrtiz/TouchImageView)
| `3.5` -> `3.6` |
[![age](https://developer.mend.io/api/mc/badges/age/maven/com.github.MikeOrtiz:TouchImageView/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![adoption](https://developer.mend.io/api/mc/badges/adoption/maven/com.github.MikeOrtiz:TouchImageView/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![passing](https://developer.mend.io/api/mc/badges/compatibility/maven/com.github.MikeOrtiz:TouchImageView/3.5/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|
[![confidence](https://developer.mend.io/api/mc/badges/confidence/maven/com.github.MikeOrtiz:TouchImageView/3.5/3.6?slim=true)](https://docs.renovatebot.com/merge-confidence/)
|

---

### Release Notes

<details>
<summary>MikeOrtiz/TouchImageView
(com.github.MikeOrtiz:TouchImageView)</summary>

###
[`v3.6`](https://togithub.com/MikeOrtiz/TouchImageView/releases/tag/3.6)

[Compare
Source](https://togithub.com/MikeOrtiz/TouchImageView/compare/3.5...3.6)

<!-- Release notes generated using configuration in .github/release.yml
at 3.6 -->

#### What's Changed

##### Exciting New Features 🎉

- api34 by [@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#555

##### Other Changes

- Bump androidx.recyclerview:recyclerview from 1.3.0 to 1.3.1 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#546
- Bump Kotlin 1.9 by [@&#8203;hannesa2](https://togithub.com/hannesa2)
in
[MikeOrtiz/TouchImageView#548
- Bump com.github.bumptech.glide:glide from 4.15.1 to 4.16.0 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#549
- Bump kotlin_version from 1.9.0 to 1.9.10 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#551
- Bump actions/checkout from 3 to 4 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#553
- Fix compileSdk deprecation by
[@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#556
- Remove Froyo method by
[@&#8203;hannesa2](https://togithub.com/hannesa2) in
[MikeOrtiz/TouchImageView#557
- Bump com.android.tools.build:gradle from 8.1.0 to 8.1.1 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#550
- Bump androidx.core:core-ktx from 1.10.1 to 1.12.0 by
[@&#8203;dependabot](https://togithub.com/dependabot) in
[MikeOrtiz/TouchImageView#552

**Full Changelog**:
MikeOrtiz/TouchImageView@3.5...3.6

</details>

---

### Configuration

📅 **Schedule**: Branch creation - At any time (no schedule defined),
Automerge - At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you
are satisfied.

♻ **Rebasing**: Whenever PR becomes conflicted, or you tick the
rebase/retry checkbox.

🔕 **Ignore**: Close this PR and you won't be reminded about this update
again.

---

- [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check
this box

---

This PR has been generated by [Mend
Renovate](https://www.mend.io/free-developer-tools/renovate/). View
repository job log
[here](https://developer.mend.io/github/tuskyapp/Tusky).

<!--renovate-debug:eyJjcmVhdGVkSW5WZXIiOiIzNy4zMS41IiwidXBkYXRlZEluVmVyIjoiMzcuMTUzLjIiLCJ0YXJnZXRCcmFuY2giOiJkZXZlbG9wIn0=-->

Co-authored-by: renovate[bot] <29139614+renovate[bot]@users.noreply.github.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
dependencies Pull requests that update a dependency file java Pull requests that update Java code
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

1 participant